Bug 167983 - Review Request: evolution-caldav
Review Request: evolution-caldav
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Fedora Package Reviews List
http://people.redhat.com/dmalcolm/evo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 20:20 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 11:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2005-09-09 20:20:06 EDT
Spec Name or Url: http://people.redhat.com/dmalcolm/evolution-caldav/evolution-caldav.spec

SRPM Name or Url: http://people.redhat.com/dmalcolm/evolution-caldav/evolution-caldav-2.3.99.2-1.src.rpm

Description: 
Evolution calendar backend (and configuration plugin) for talking to CalDAV servers, for Evolution 2.4 (FC5/development).
Comment 1 Dave Malcolm 2005-09-09 20:23:44 EDT
You'll find some i386 packages in
http://people.redhat.com/dmalcolm/evolution-caldav/
as well.
Comment 2 Brian Pepple 2005-12-17 22:45:59 EST
NEEDSWORK

MD5Sums:
017b3739cc1a568708978344d48fc6f5  evolution-caldav-2.3.99.2.tar.bz2

Good:
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* All paths begin with macros
* All directories are owned by this or other packages
* No deprecated fields used
* All desired features are enabled

Needswork:
* Specified Source URL is not canonical.
* Missing Documentation: Add COPYING file.
* Requires for evolution, evolution-data-server, and libsoup can be dropped
since the BR should pull these in.
* Rpmlint errors (ran against binary provided by you): 
  E: evolution-caldav devel-dependency evolution-data-server-devel
  W: evolution-caldav no-documentation

Minor:
* Buildroot lacks certain elements
  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) is the
preferred value.  Refer to
http://fedoraproject.org/wiki/PackagingGuidelines#head-c2cfbc6be2860c5d2634d06714098e1560667de6

* Is "[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ]" really necessary in
the %install & %clean sections?

Note:
* I'm unable to build this currently in Mock, due to mesa-libGL being broken in
Rawhide.  Once this has been fixed, I'll try to build this package again.  Also,
since I'm not on Rawhide yet, someone else will need to verify that this package
runs as expected.  At a minimum, at least some of the reviewing needed for this
package is done.
Comment 3 Chris Chabot 2006-01-18 09:13:36 EST
Above mentioned errors have not been addressed yet, plus building on
fedora-core-devel-i386 (evolution 2.5.4-6) fails on ./configure:
checking Evolution version... configure: error: Evolution development libraries
not installed
error: Bad exit status from /var/tmp/rpm-tmp.85097 (%build)

If its a dead bug could you close it, otherwise try to address the mentioned
issues? :-)
Comment 4 Hans de Goede 2006-04-22 04:27:16 EDT
Dave,

Are you still interested in packaging this and becoming an FE contributer? I see
you need a sponsor, I can sponsor you if you want.
Comment 5 Dave Malcolm 2006-04-24 11:13:05 EDT
By the time FC5 landed, evolution-data-server-1.6 gained a caldav backend, and
evolution-2.6 gained the necessary UI hooks to work with it, so this package is
only really of interest for evolution 2.4.  

IIRC this version was only in Fedora during the first part of the FC5
development cycle (FC4 had 2.2), so I think this separate package is not
particularly useful anymore, unless someone wants to run 2.4, and run it with
caldav support.

If anyone wants to own it, please step forward, but for now I'm going to close
this as WONTFIX (feel free to reopen if you think my analysis is wrong).  Thanks
to everyone for your help in packaging review, I'm sorry that it now appears
redundant.
Comment 6 Hans de Goede 2006-05-06 03:32:56 EDT
Remving FE-NEW & FE-NEEDSPONSOR blocker bugs

Note You need to log in before you can comment on or make changes to this bug.